> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post diimport

> Import object configurations



## OpenAPI

````yaml /schema.json post /di/import
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/import:
    post:
      tags:
        - Di
      description: Import object configurations
      operationId: importObjectConfigurations
      parameters:
        - name: validate-variables
          in: query
          description: Enable validation of variables.
          required: false
          schema:
            type: boolean
            default: false
        - name: dry-run
          in: query
          description: Only validate and check whether configurations already exist.
          required: false
          schema:
            type: boolean
            default: false
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/x-ndjson:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/register.configuration'
          application/json:
            schema:
              $ref: '#/components/schemas/register.configuration'
          multipart/form-data:
            schema:
              type: object
              properties:
                filename:
                  type: array
                  items:
                    type: string
      responses:
        '201':
          description: Imported object configurations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiImportResult'
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiImportResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    register.configuration:
      $schema: http://json-schema.org/draft-07/schema
      $id: https://di.schema.alumio.com/register.configuration.json
      type: object
      properties:
        type:
          $ref: '#/components/schemas/type'
        identifier:
          $ref: '#/components/schemas/identifier'
        name:
          type: string
        description:
          type: string
        object:
          $ref: '#/components/schemas/inline.configuration'
      required:
        - type
        - identifier
        - name
        - object
    DiImportResult:
      type: object
      properties:
        valid:
          type: boolean
        title:
          type: string
        detail:
          type: string
        results:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              identifier:
                type: string
              decision:
                type: string
              action:
                type: string
              relationships:
                type: array
                items:
                  $ref: '#/components/schemas/DiNodeRelation'
              violations:
                type: array
                items:
                  type: object
                  properties:
                    propertyPath:
                      type: string
                    title:
                      type: string
                    titleTemplate:
                      type: string
                    parameters:
                      type: object
                    type:
                      type: string
                    helpText:
                      type: string
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    type:
      $schema: http://json-schema.org/draft-07/schema
      $id: https://di.schema.alumio.com/property/type.json
      anyOf:
        - $ref: '#/components/schemas/fqcn'
        - $ref: '#/components/schemas/identifier'
    identifier:
      $schema: http://json-schema.org/draft-07/schema
      $id: https://di.schema.alumio.com/property/identifier.json
      type: string
      minLength: 2
      pattern: ^[a-z0-9]+[a-z0-9\-]*[a-z0-9]+$
      title: Identifier
    inline.configuration:
      $schema: http://json-schema.org/draft-07/schema
      $id: https://di.schema.alumio.com/specification/inline.configuration.json
      oneOf:
        - $ref: '#/components/schemas/prototype.configuration'
        - $ref: '#/components/schemas/default.prototype.configuration'
    DiNodeRelation:
      type: object
      properties:
        relation:
          type: string
        node:
          type: object
          properties:
            identifier:
              type: string
            type:
              type: string
        paths:
          type: array
          items:
            type: string
    fqcn:
      $schema: http://json-schema.org/draft-07/schema
      $id: https://di.schema.alumio.com/property/fqcn.json
      type: string
      pattern: ^[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff\\]*[a-zA-Z0-9_\x7f-\xff]+$
      title: Class name
    prototype.configuration:
      $schema: http://json-schema.org/draft-07/schema
      $id: https://di.schema.alumio.com/specification/prototype.configuration.json
      type: object
      properties:
        parameters:
          type:
            - object
            - array
            - string
            - number
            - boolean
      required:
        - prototype
      additionalProperties: false
    default.prototype.configuration:
      $schema: http://json-schema.org/draft-07/schema
      $id: >-
        https://di.schema.alumio.com/specification/default.prototype.configuration.json
      type: object
      properties:
        parameters:
          type:
            - object
            - array
            - string
            - number
            - boolean
      required:
        - parameters
      additionalProperties: false

````